#             Perforce Defect Tracking Integration Project
#              <http://www.parrus.com/project/p4dti/>
#
#           CONFIG_TRACKER.PY -- CONFIGURATION FOR TESTING With TRACKER
#
#           Robert Cowham, Vaccaperna Systems Ltd, 2003/12/04
#
#
# 1. INTRODUCTION
#
# This is the configuration script for testing the Tracker integration
# on the Vaccaperna server.
#
# The intended readership is project testers.
#
# This document is not confidential.
#
# Note on running the test scripts:
#
#

import message


# 2. ESSENTIAL CONFIGURATION PARAMETERS

dt_name = "Tracker"
administrator_address = 'admin@vaccaperna.co.uk'
p4_port = 'localhost:1999'
p4_user = 'p4dti-replicator0'
p4_password = 'tracker'
replicator_address = 'p4dti-replicator0@vaccaperna.co.uk'
smtp_server = None
start_date = "2002-12-31 23:59:59"


# 3. TRACKER CONFIGURATION PARAMETERS

closed_state = None

# The name of the Tracker server.
tracker_server = "Test Server"

# The name of the Tracker project.
tracker_project = "Test Project"

# The Replicator's user name and password on the TeamTrack server.
tracker_user = "p4dti-replicator0"
tracker_password = "password"

tracker_path = r"C:\Program Files\PVCS\Tracker\nt"

# Email domain to append for unknown users
email_domain = "vaccaperna.co.uk"

# Query for all SCRs in Tracker
query_all_scrs = "All_SCRs"
query_all_scrs_changed_in_last_day = 'All_SCRs_changed_in_last_day'
query_all_scrs_changed_in_last_week = 'All_SCRs_changed_in_last_week'

# configurable value depending on how Tracker project set up
RECORD_TYPE_SCR = 1

# Whether to make changes as replicator user or not
individual_login = False

# 4. OTHER CONFIGURATION PARAMETERS

rid = 'replicator0'
sid = 'perforce0'
changelist_url = "http://cowhamr-6100:8080/%d?ac=10"
job_url = None
log_file = None
log_level = message.DEBUG
p4_client_executable = r"C:\Program Files\Perforce\p4.exe"
p4_server_description = 'Perforce server '
poll_period = 10
def replicate_p(self):
    return 1


# 5. CONFIGURATION PARAMETERS FOR THE TEST SUITE

p4_license_file = r'C:\Perforce\license'
p4_server_executable = r"C:\Program Files\Perforce\p4d.exe"


# A. REFERENCES
#
# [RB 2000-08-10] "Perforce Defect Tracking Integration Administrator's
# Guide"; Richard Brooksby; Ravenbrook Limited; 2000-08-10;
#
#
#
# B. DOCUMENT HISTORY
#
# 2003/12/04 RC Initial version
#
#
# C. COPYRIGHT AND LICENCE
#
# This file is copyright (c) 2003 Vaccaperna Systems Ltd.  All rights
# reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1.  Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
# 2.  Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
# COPYRIGHT HOLDERS AND CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
#
